net.dontdrinkandroot.cache.impl.disk.indexed.storage

## Class KeyedMetaData<K extends Serializable>

- java.lang.Object
- - net.dontdrinkandroot.cache.impl.disk.indexed.storage.KeyedMetaData<K>

All Implemented Interfaces:
  Serializable

    public class KeyedMetaData<K extends Serializable>
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`KeyedMetaData(K key, MetaData metaData)`

### Method Summary

Methods
`long` `getCreated()`
`K` `getKey()`
`long` `getMaxIdleTime()`
`SimpleMetaData` `getMetaData()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyedMetaData

    public KeyedMetaData(K key,
                 MetaData metaData)

### Method Detail

#### getKey

    public K getKey()

#### getCreated

    public long getCreated()

#### getMaxIdleTime

    public long getMaxIdleTime()

#### getMetaData

    public SimpleMetaData getMetaData()